
Redmine - Patch #9037

Setting labels should be connected to their fields

2011-08-11 09:56 - Alex Shulgin

Status: Closed Start date: 2011-08-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

Attached patches fix two problems:

1. In Admin > Settings, labels were not connected to their fields.

2. The checkbox label didn't work because of the hidden helper field was having the same id as the checkbox.

There're also a couple of checkboxes under Settings > Repositories, which do not have labels at all (only text): you have to click at

the checkbox itself to (un)mark it.  I've tried to use labels there, but the CSS appears to be too messy to make this work: the labels

get rendered behind the left edge of the screen...

Related issues:

Related to Redmine - Patch #11496: Make labels clickable in Adminstration/Set... Closed

History

#1 - 2014-11-02 02:30 - Go MAEDA

Duplicated by #11496 and the improvements have been done in Redmine 2.1.

This issue can be closed.

#2 - 2014-11-03 08:30 - Go MAEDA

- Related to Patch #11496: Make labels clickable in Adminstration/Settings added

#3 - 2014-11-03 08:31 - Go MAEDA

- Status changed from New to Closed

Files

0001-Fixed-setting_label-use-for-HTML-attribute.patch 973 Bytes 2011-08-11 Alex Shulgin

0002-Fixed-clickable-checkbox-labels-clear-id-attr-on-the.patch 4.16 KB 2011-08-11 Alex Shulgin
